import type { _NSObject } from "../Foundation/NSObject.js";
import type { _FSFileName } from "./FSFileName.js";
import type { _FSVolumeIdentifier } from "./FSVolumeIdentifier.js";
export declare class _FSVolume extends _NSObject {
    static alloc(): _FSVolume;
    static new(): _FSVolume;
    init(): _FSVolume;
    /**
     * Creates a volume with the given identifier and name. - Parameters: - volumeID: An ``FSVolumeIdentifier`` to uniquely identify the volume. For a network file system that supports multiple authenticated users, disambiguate the users by using qualifying data in the identifier. - volumeName: A name for the volume.
     */
    initWithVolumeID$volumeName$(volumeID: _FSVolumeIdentifier, volumeName: _FSFileName): _FSVolume;
    /** An identifier that uniquely identifies the volume. */
    volumeID(): _FSVolumeIdentifier;
    /** The name of the volume. */
    name(): _FSFileName;
    setName$(value: _FSFileName): void;
}
